import { z } from "zod";
declare const ExtensionConfigurationFileSchema: z.ZodObject<{
    config: z.ZodOptional<z.ZodObject<{
        slug: z.ZodOptional<z.ZodString>;
        ui: z.ZodOptional<z.ZodObject<{
            surfaces: z.ZodOptional<z.ZodArray<z.ZodString, "many">>;
        }, "strip", z.ZodTypeAny, {
            surfaces?: string[] | undefined;
        }, {
            surfaces?: string[] | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        slug?: string | undefined;
        ui?: {
            surfaces?: string[] | undefined;
        } | undefined;
    }, {
        slug?: string | undefined;
        ui?: {
            surfaces?: string[] | undefined;
        } | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    config?: {
        slug?: string | undefined;
        ui?: {
            surfaces?: string[] | undefined;
        } | undefined;
    } | undefined;
}, {
    config?: {
        slug?: string | undefined;
        ui?: {
            surfaces?: string[] | undefined;
        } | undefined;
    } | undefined;
}>;
export type ExtensionConfigurationFile = z.output<typeof ExtensionConfigurationFileSchema>;
declare const ExtensionConfiguration: z.ZodObject<{
    slug: z.ZodString;
    ui: z.ZodObject<{
        surfaces: z.ZodArray<z.ZodString, "many">;
    }, "strip", z.ZodTypeAny, {
        surfaces: string[];
    }, {
        surfaces: string[];
    }>;
}, "strip", z.ZodTypeAny, {
    slug: string;
    ui: {
        surfaces: string[];
    };
}, {
    slug: string;
    ui: {
        surfaces: string[];
    };
}>;
export type ExtensionConfiguration = z.output<typeof ExtensionConfiguration>;
export declare const getExtensionConfiguration: (cwd: string) => Promise<ExtensionConfiguration>;
export {};
//# sourceMappingURL=utils.d.ts.map